Special:Badtitle no longer exists in the 1.18 deployment on all (?) Wikimedia projects
Closed, ResolvedPublic

Description

In previous versions of Mediawiki, http://en.wikipedia.org/wiki/Special:BadTitle would show http://en.wikipedia.org/wiki/MediaWiki:Badtitletext , but it now says that the special page doesn't exist, which is not a helpful error when someone enters an invalid character as the title in a URL.


Version: unspecified
Severity: major

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz31886.
Logan created this task.Via LegacyOct 22 2011, 4:54 PM
brion added a comment.Via ConduitOct 24 2011, 6:30 PM

There was never actually a Special:BadTitle afaik; I think it got stuck in as a replacement title when there was a bad one, and then special handling for it took over.

bzimport added a comment.Via ConduitNov 2 2011, 5:47 PM

msh210 wrote:

(In reply to comment #1)

In any event, MediaWiki:Badtitletext used to turn up for bad titles, and now nothing locally editable turns up. This should be fixed.

MaxSem added a comment.Via ConduitNov 2 2011, 6:56 PM

(In reply to comment #1)

There was never actually a Special:BadTitle afaik; I think it got stuck in as a
replacement title when there was a bad one, and then special handling for it
took over.

The problem here is that if you visit e.g. https://en.wikipedia.org/wiki/[foo], you get redirected to "No such special page" error:P

bzimport added a comment.Via ConduitNov 6 2011, 7:26 PM

msh210 wrote:

Changing to 'major' because causes contentlessness of previously substantive URLs like <URL:http://en.wiktionary.org/wiki/%5b>.

Platonides added a comment.Via ConduitNov 6 2011, 10:12 PM

Not so substantive, it's not as if it was a valid title before.
Although I agree it is wrong to show a "Special page" error, the right behavior was the old one ("The requested page title was invalid, empty, or an incorrectly linked inter-language or inter-wiki title. It may contain one or more characters which cannot be used in titles. ").

bzimport added a comment.Via ConduitNov 6 2011, 10:28 PM

msh210 wrote:

(In reply to comment #5)

Not so substantive, it's not as if it was a valid title before.

Was that in reply to my:

Changing to 'major' because causes contentlessness of previously
substantive URLs like <URL:http://en.wiktionary.org/wiki/%5b>.

?

That URL *was* substantive. It transcluded <URL:http://en.wiktionary.org/wiki/Appendix:Unsupported_titles>, which includes the content sought at <URL:http://en.wiktionary.org/wiki/%5b>.

Platonides added a comment.Via ConduitNov 6 2011, 10:35 PM

Seems the problem is fixed in trunk, so we should find out the appropiate revision to backport.
Basically, Wiki.php uses a fake special page named 'Badtitle' when there is a bad title provided, but instead of being shown, in REL1_18 it redirects.

DanielFriesen added a comment.Via ConduitNov 6 2011, 10:40 PM

Going back through the revs it doesn't appear this is the result of the Wiki.php related RequestContext changes... There is a gap in the revs where some bad code as a result of the RequestContext changes leaves bad titles with a php error due to some things not passing a proper Title instance. But before the RequestContext stuff and after that gap the Bad title functionality is still working.

DanielFriesen added a comment.Via ConduitNov 6 2011, 10:47 PM

Platonides identified r98764 as the rev that fixed this bug in trunk. Tagged for backporting into 1.18.

Platonides added a comment.Via ConduitNov 6 2011, 11:01 PM

Fixed in 1.18. Waiting for deployment.

Logan added a comment.Via ConduitNov 18 2011, 3:56 AM

Appears to be working now. Thanks everyone!

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.